extends Area2D
class_name BridgeArea

func _on_body_entered(_body: Node2D) -> void:
	if _body is BaseCharacter:
		_body.set_collision_layer_value(8, false)
		_body.set_collision_mask_value(8, false)
		_body.set_collision_layer_value(1, false)
		_body.set_collision_mask_value(1, false)
		_body.set_collision_layer_value(2, true)
		_body.set_collision_mask_value(2, true)
		print("entering on bridge")

func _on_body_exited(_body: Node2D) -> void:
	if _body is BaseCharacter:
		_body.set_collision_layer_value(8, true)
		_body.set_collision_mask_value(8, true)
		_body.set_collision_layer_value(1, true)
		_body.set_collision_mask_value(1, true)
		_body.set_collision_layer_value(2, false)
		_body.set_collision_mask_value(2, false)
		print("exiting on bridge")
